GET /lists/{id}/items/{type}

trakt.tv

Summary: Get items on a list
Operation ID: Get items on a list
Auth: unknown
Description

#### 📄 Pagination Optional ✨ Extended Info 😁 Emojis Get all items on a personal list. Items can be a `movie`, `show`, `season`, `episode`, or `person`. You can optionally specify the `type` parameter with a single value or comma delimited string for multiple item types. #### Notes Each list item contains a `notes` field with text entered by the user. #### Sorting Headers All list items are sorted by ascending `rank`. We also send `X-Sort-By` and `X-Sort-How` headers which can be used to custom sort the list _**in your app**_ based on the user's preference. Values for `X-Sort-By` include `rank`, `added`, `title`, `released`, `runtime`, `popularity`, `percentage`, `votes`, `my_rating`, `random`, `watched`, and `collected`. Values for `X-Sort-How` include `asc` and `desc`.

Parameters (4)

id (string, path, required)

Trakt ID

trakt-api-key (string, header, optional)

e.g. [client_id]

trakt-api-version (string, header, optional)

e.g. 2

type (string, path, required)

Filter for a specific item type

Constraints: {'enum': ['movie', 'show', 'season', 'episode', 'person']}

No probe data for this endpoint yet.